---
ChangeLog | 4 ++
.../hdlac-2011/Makefile.am => lrde-scmstats.sh | 33 +++++++++++--------
2 files changed, 23 insertions(+), 14 deletions(-)
copy scribo/src/contest/hdlac-2011/Makefile.am => lrde-scmstats.sh (54%)
mode change 100644 => 100755
diff --git a/ChangeLog b/ChangeLog
index 0f69cb8..8370d97 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
2011-09-08 Guillaume Lazzara <z(a)lrde.epita.fr>
+ * lrde-scmstats.sh: New.
+
+2011-09-08 Guillaume Lazzara <z(a)lrde.epita.fr>
+
* AUTHORS: Update.
2011-09-02 Guillaume Lazzara <z(a)lrde.epita.fr>
diff --git a/scribo/src/contest/hdlac-2011/Makefile.am b/lrde-scmstats.sh
old mode 100644
new mode 100755
similarity index 54%
copy from scribo/src/contest/hdlac-2011/Makefile.am
copy to lrde-scmstats.sh
index f5ead52..b10178c
--- a/scribo/src/contest/hdlac-2011/Makefile.am
+++ b/lrde-scmstats.sh
@@ -1,3 +1,5 @@
+#! /bin/sh
+
# Copyright (C) 2011 EPITA Research and Development Laboratory (LRDE).
#
# This file is part of Olena.
@@ -13,25 +15,28 @@
#
# You should have received a copy of the GNU General Public License
# along with Olena. If not, see <http://www.gnu.org/licenses/>.
-#
-## Process this file through Automake to create Makefile.in.
-include $(top_srcdir)/scribo/scribo.mk
+# This file is run by the LRDE autobuilder before compilation.
+# It is not meant to be distributed with Olena.
-noinst_PROGRAMS =
+set -ex
+# Buildbot will tell us the name of the branch being compiled using $1.
+branch=$1
-if HAVE_MAGICKXX
+# We might want to filter stats for specific branches.
+# Currently gitstats does not allow that.
+#case "$branch" in
+# # Consider these branches only.
+# master|next|swilena|mesh-segm-skel|next-build-test) ;;
+# # Don't upload other branches.
+# *) exit ;;
+#esac
-noinst_PROGRAMS += content_in_hdoc_hdlac
+DEST=/lrde/dload/olena/stats/
-content_in_hdoc_hdlac_SOURCES = content_in_hdoc_hdlac.cc
-content_in_hdoc_hdlac_CPPFLAGS = $(AM_CPPFLAGS) \
- $(TESSERACT_CPPFLAGS) \
- -I$(top_builddir)
-content_in_hdoc_hdlac_LDFLAGS = $(AM_LDFLAGS) \
- -lpthread \
- $(MAGICKXX_LDFLAGS)
+gitstats . $DEST
-endif HAVE_MAGICKXX
\ No newline at end of file
+# Expose updated files.
+chmod -R a+rX $DEST
--
1.7.2.5
Show replies by date